string line = Console.ReadLine();
			string[] data = line.Split(' ');
			int N=int.Parse(data[0]);
			int M=int.Parse(data[1]);
			int i=1,j=1;
			int[,] a=new int[N,M];
			
			for(i=1;i<=N;i++){
				line = Console.ReadLine();
			    data = line.Split(' ');
				for(j=1;j<=M;j++){
			    	a[i,j]=int.Parse(data[j-1]);
				}
			}
			
			int Q=int.Parse(Console.ReadLine());
			int[] x=new int[Q];
			int[] y=new int[Q];
			for(i=1;i<=Q;i++){
				line = Console.ReadLine();
			    data = line.Split(' ');
			    x[i]=int.Parse(data[0]);
			    y[i]=int.Parse(data[0]);
			}
			
			for(i=1;i<=Q;i++){
				if(x[i]==)
			}
			
			Console.ReadKey(true);